Make call nginx vhost status endpoint
GET
/system/vhostStatus/{host}
const url = 'https://example.com/api/v1/system/vhostStatus/example';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/vhostStatus/example \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”host
required
string
Host to query
Responses
Section titled “Responses”The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Connection to vhost failed
default
Section titled “default”Response returned by the vhost status endpoint